queue.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_parallel::_RestrictedBoundedConcurrentQueue< _Tp >

## Namespaces

namespace | __gnu_parallel

## Macros

#define | _GLIBCXX_VOLATILE

## Detailed Description

Lock-free double-ended queue. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file queue.h.

## Macro Definition Documentation

#define _GLIBCXX_VOLATILE

Decide whether to declare certain variable volatile in this file.

Definition at line 40 of file queue.h.